-- Define locals here


function init()          -- This function is called once after start
  setMenuName("Signal Changer")-- This name is shown for this draft in the draft selection
  setMenuCaption("Changes the two outputs by a mouse click")-- This description is used in the draft selection
  setMenuKind("logic")    -- Choose a kind of the draft selection (emitter, feedback, logic, adder, ram, decoder, counter, ic)
  setMenuIcon(16)        -- Set lua icon (look into kats.png for other icons)
  
  setID("$MyGreatDraft")    -- Choose any id that can be used to identify this draft
  setSize(4,3)        -- Set the size of the draft
  setColor(200,200,255)    -- Set color of the draft
  setTurnable(1)        -- Set 0 if you don't want that the user can rotate the draft
  setName("Click")      -- Set the name on the draft
  setMouseSensitive(1)    -- Set 1 if you want to use functions like onClick and whileClick
  
  addInputLeft("",0,0)    -- Add input [addInputLeft(cap$,idx,inverted)]
  addInputLeft("",1,0)
  addOutputRight("",0,0)    -- Add output [addOutputRight(cap$,idx,inverted)]
  addOutputRight("",1,0)
end

function update(in1,in2)    -- You have as many parameters as the draft has inputs
  if getData()>0 then        -- Do whatever you want to
    out1=in2
    out2=in1
    setColor(100,100,200)
  else
    out1=in1
    out2=in2
    setColor(200,200,255)
  end
  return out1,out2      -- Return as much results as the draft has outputs
end

function close()        -- If you've to deinit sth. then do it here
  
end

function onClick()        -- Called in the first moment of a click
  
end

function whileClick()      -- Called while the mousekey is pressed over a device
  setData(1)
end

function noClick()        -- Called if there's no mousekey pressed over a device
  setData(0)
end
